org.apache.felix.ipojo.util

## Class SystemPropertiesSource

- java.lang.Object
- - org.apache.felix.ipojo.util.SystemPropertiesSource

All Implemented Interfaces:
  ContextSource

    public class SystemPropertiesSource
    extends java.lang.Object
    implements ContextSource

A context source giving access to system properties.

### Constructor Summary

Constructors
Constructor and Description
`SystemPropertiesSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Dictionary` `getContext()` Gets the entire context.
`java.lang.Object` `getProperty(java.lang.String property)` Gets the current value of the given property.
`void` `registerContextListener(ContextListener listener, java.lang.String[] properties)` Registers a context listener on the given set of properties.
`void` `unregisterContextListener(ContextListener listener)` Unregisters the given context listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemPropertiesSource

    public SystemPropertiesSource()

### Method Detail

#### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Description copied from interface: `ContextSource`
Gets the current value of the given property.

Specified by:
  `getProperty` in interface `ContextSource`
Parameters:
  `property` - property name
Returns:
  the property value (`null` if unknown)

#### getContext

    public java.util.Dictionary getContext()

Description copied from interface: `ContextSource`
Gets the entire context.

Specified by:
  `getContext` in interface `ContextSource`
Returns:
  the dictionary [Property, Value]

#### registerContextListener

    public void registerContextListener(ContextListener listener,
                                        java.lang.String[] properties)

Description copied from interface: `ContextSource`
Registers a context listener on the given set of properties. The listener will be notified of every changes made on monitored properties.

Specified by:
  `registerContextListener` in interface `ContextSource`
Parameters:
  `listener` - the context listener to register.
  `properties` - property set monitored by the listener.

#### unregisterContextListener

    public void unregisterContextListener(ContextListener listener)

Description copied from interface: `ContextSource`
Unregisters the given context listener.

Specified by:
  `unregisterContextListener` in interface `ContextSource`
Parameters:
  `listener` - the listener to unregister.